Name:		ndisc6
Version:	1.0.8
Release:	%mkrel 2
Summary:	IPv6 diagnostic tools

Group:		Networking/Other
License:	GPLv2 or GPLv3
URL:		https://www.remlab.net/ndisc6/
Source0:	https://www.remlab.net/files/ndisc6/%{name}-%{version}.tar.bz2
Source1:	rdnssd2.service
Source2:	rdnssd-tmpfiles.conf
Patch1:		ndisc6-var_run.patch

%description
This package gathers a few diagnostic tools for IPv6 networks:
- ndisc6, which performs ICMPv6 Neighbor Discovery in userland,
- rdisc6, which performs ICMPv6 Router Discovery in userland,
- rltraceroute6, yet another IPv6 implementation of traceroute,
- tcptraceroute6, a TCP/IPv6-based traceroute implementation,
- tracert6, a ICMPv6 Echo Request based traceroute,
- tcpspray6, a TCP/IP Discard/Echo bandwidth meter.

%package -n rdnssd
Summary:	IPv6 recursive DNS server discovery daemon
Requires(post):	systemd >= %{systemd_required_version}

%description -n rdnssd
rdnssd autoconfigures recursive DNS servers on IPv6 networks
using ICMPv6 Neighbor Discovery (RFC 5006), and can update
the DNS resolvers configuration (/etc/resolv.conf) accordingly.


%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-suid-install
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_initrddir}
install -Dpm 755 %{SOURCE1} %{buildroot}%{_unitdir}/rdnssd.service
# create tmpfiles directory
install -d -m0755 %{buildroot}%{_tmpfilesdir}
install -m0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/rdnssd.conf

%find_lang %name

%pre -n rdnssd
%_pre_useradd rdnssd /run/rdnssd /bin/false

%postun -n rdnssd
%_postun_userdel rdnssd

%post -n rdnssd
%_tmpfilescreate rdnssd
%_post_service rdnssd

%preun -n rdnssd
%_preun_service rdnssd

%files -f %name.lang
%doc README
%license COPYING
%{_bindir}/addr2name
%{_bindir}/dnssort
%{_bindir}/name2addr
%{_sbindir}/rdisc6
%{_sbindir}/ndisc6
%{_sbindir}/rltraceroute6
%{_bindir}/tcpspray
%{_bindir}/tcpspray6
%{_sbindir}/tcptraceroute6
%{_sbindir}/tracert6
%{_mandir}/man1/addr2name.1*
%{_mandir}/man1/dnssort.1*
%{_mandir}/man1/name2addr.1*
%{_mandir}/man1/tcpspray.1*
%{_mandir}/man1/tcpspray6.1*
%{_mandir}/man8/ndisc6.8*
%{_mandir}/man8/rdisc6.8*
%{_mandir}/man8/rltraceroute6.8*
%{_mandir}/man8/tcptraceroute6.8*
%{_mandir}/man8/tracert6.8*

%files -n rdnssd
%doc README
%license COPYING
%{_sbindir}/rdnssd
%dir %{_sysconfdir}/rdnssd
%{_unitdir}/rdnssd.service
%attr(755,root,root) %{_sysconfdir}/rdnssd/merge-hook
%{_tmpfilesdir}/rdnssd.conf
%{_mandir}/man8/rdnssd.8*


%changelog
* Wed Nov 06 2024 ns80 <ns80> 1.0.8-2.mga10
+ Revision: 2112770
- try to fix building with GCC 14

* Sun Jun 02 2024 daviddavid <daviddavid> 1.0.8-1.mga10
+ Revision: 2069443
- new version: 1.0.8
- do not mark manpages as doc

* Sat Sep 16 2023 daviddavid <daviddavid> 1.0.7-1.mga10
+ Revision: 1987038
- new version: 1.0.7

* Wed Dec 14 2022 daviddavid <daviddavid> 1.0.6-1.mga9
+ Revision: 1921972
- new version: 1.0.6

* Tue Mar 15 2022 umeabot <umeabot> 1.0.3-6.mga9
+ Revision: 1792793
- Mageia 9 Mass Rebuild

* Sun May 10 2020 zezinho <zezinho> 1.0.3-5.mga8
+ Revision: 1582627
- move runtime directory

* Thu Feb 13 2020 umeabot <umeabot> 1.0.3-4.mga8
+ Revision: 1515332
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-3.mga7
+ Revision: 1299688
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 zezinho <zezinho> 1.0.3-2.mga7
+ Revision: 1236757
- convert init script to systemd

* Sun Oct 08 2017 daviddavid <daviddavid> 1.0.3-1.mga7
+ Revision: 1170185
- new version: 1.0.3

* Fri Feb 12 2016 umeabot <umeabot> 1.0.2-8.mga6
+ Revision: 956278
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-7.mga5
+ Revision: 744601
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-6.mga5
+ Revision: 682821
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-5.mga4
+ Revision: 522654
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 1.0.2-4.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Jan 13 2013 luigiwalser <luigiwalser> 1.0.2-3.mga3
+ Revision: 363615
- fix tmpfiles configuration
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 1.0.2-1.mga3
+ Revision: 321909
- adding tmpfiles.d support
- adding tmpfiles.d support

* Mon Mar 05 2012 misc <misc> 1.0.2-1.mga2
+ Revision: 218532
- new version 1.0.2

* Fri Jun 24 2011 philippem <philippem> 1.0.1-1.mga2
+ Revision: 113207
- imported package ndisc6


* Fri Jun 24 2011 Philippe Makowski <philippem@mageia.org> 1.0.1-1.mga1
- new upstream version
- imported to Mageia
- create separate package rdnssd

* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.9.8-2mdv2010.0
+ Revision: 440242
- rebuild

* Sat Nov 29 2008 Olivier Thauvin <nanardon@mandriva.org> 0.9.8-1mdv2009.1
+ Revision: 307781
- import ndisc6


